Skip to main content
Skip table of contents

Compatibility matrices

This document provides information about the cross-version compatibility of the main components of the Nexthink platform.

Nexthink Infinity

Platform version

Finder (classic)

Collector for Windows

Collector for macOS

2024.2.x / 24.2.x.x

6.30.19.x

24.2.x.x

24.2.x.x

2024.1.x / 24.1.x.x

6.30.17.x

24.1.x.x

24.1.x.x

Nexthink Collector

Collector Release

Windows Version

Mac Version

Minimum required V6 (classic) version

Minimum required Infinity version

Maintenance Release

24.2.1

24.2.1.20

24.2.1.19

6.30.8.3

2024.2.1

False

24.1.1

24.1.1.12

24.1.1.13

6.30.8.3

2024.1.1

False

23.10.2

23.10.2.4

23.10.2.4

6.30.8.3

2023.10.1

True

23.10.1

23.10.1.30

23.10.1.29

6.30.8.3

2023.10.1

False

23.9.3

23.9.3.3

6.30.8.3

2023.9.1

True

23.9.1

23.9.1.23

6.30.8.3

2023.9.1

False

23.8.3

23.8.3.8

23.8.3.7

6.30.8.3

2023.8.1

True

23.7.1

23.7.1.3

6.30.8.3

2023.7.1

False

23.6.2

23.6.2.12

6.30.8.3

2023.6.1

True

23.6.1

23.6.1.60

23.6.1.58

6.30.8.3

2023.6.1

False

23.4.4

23.4.4.9

23.4.4.10

6.30.8.3

2023.4.1

True

23.4.3

23.4.3.11

23.3.3.3

6.30.8.3

2023.4.1

False

23.3.1

23.3.1.34

23.3.1.34

6.30.8.3

2023.3.1

False

23.2.2

23.2.2.3

23.2.2.3

6.30.8.3

2023.2.1

False

Refer to the Collector Management documentation for more information about Collector deployment and updates.

Browser compatibility

The Nexthink web interface is compatible with the following browsers for versions up to one year old:

  • Google Chrome

  • Microsoft Edge

  • Mozilla Firefox

  • Apple Safari

Nexthink Finder (classic)

Nexthink Finder is a Windows-only desktop application whose functionality is now available within the Nexthink web interface. Nexthink can now be used directly from a browser and most functions no longer require an additional desktop application.

Finder version →
Nexthink Experience version ↓

6.30.19

6.30.17

6.30.14

6.30.13

6.30.12

6.30.11

2024.2.x / 24.2.x.x

✓*

*

*

2024.1.x / 24.1.x.x

*

*

*

Legend:

✓ supported

* compatible but minor inconsistencies are possible

JavaScript errors detected

Please note, these errors can depend on your browser setup.

If this problem persists, please contact our support.